Bug 164617 - extracting tar image causes paths state change to [ready][failed]
extracting tar image causes paths state change to [ready][failed]
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ben Marzinski
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-29 08:50 EDT by Narasimha Murthy
Modified: 2010-01-11 21:20 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 15:24:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Narasimha Murthy 2005-07-29 08:50:06 EDT
Description of problem:

A logical device is created with Multipathing target. This block device is 
formatted with the ext3 file system and mounted to some mount point. Basic 
read/write, copy, remove tests are working fine. The linux tar ball
is copied and when the tar ball is extracted, the status of the paths this 
device is pointing, becomes [ready][failed].

Version-Release number of selected component (if applicable):
kernel - 2.6.9-6.37.ELsmp, multipath tools-0.4.4, device-mapper-1.01.00-3.RHEL4

How reproducible:

Steps to Reproduce:
1.Create the DM block device
2.Format with ext3 partition
3.Mount this DM device on some mount point.
4.Copy a tar file to this mount point.
5.Extract the tar file using "tar -xvf "

  
Actual results:

The path status of the devices (using "multipath -ll") is shown as [ready]
[failed] and this causes following errors by the extraction command (tar -xvf ):
- Cannot open: No such file or directory and 
- Cannot mkdir: No such file or directory.

Expected results:

The tar ball should have extracted succesfully on the DM block device.

Additional info:
Comment 1 Suzanne Hillman 2005-08-01 15:22:20 EDT
As I cannot tell if this is something for which there is urgency, I note that in
order to file a support issue, one should either contact Red Hat's Technical
Support line at 888-GO-REDHAT or file a web ticket at
http://www.redhat.com/apps/support/.  Bugzilla is not an official support
channel, has no response guarantees, and may not route your issue to the correct
area to assist you.  Using the official support channels above will guarantee
that your issue is handled appropriately and routed to the individual or group
which can best assist you with this issue and will also allow Red Hat to track
the issue, ensuring that any applicable bug fix is included in all releases and
is not dropped from a future update or major release.
Comment 2 Ben Marzinski 2007-01-02 18:07:58 EST
Is this still an issue?  I have not heard of anything like this happening for a
long time. If nobody says otherwise, I will close this bug in a week.

Note You need to log in before you can comment on or make changes to this bug.